Skip to main content
GET
/
api
/
v1
/
task_executions
/
{node_execution_id.execution_id.project}
/
{node_execution_id.execution_id.domain}
/
{node_execution_id.execution_id.name}
/
{node_execution_id.node_id}
Fetches a list of :ref:`ref_flyteidl.admin.TaskExecution`
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/task_executions/{node_execution_id.execution_id.project}/{node_execution_id.execution_id.domain}/{node_execution_id.execution_id.name}/{node_execution_id.node_id}
{
  "task_executions": [
    {
      "id": {
        "task_id": {
          "resource_type": "UNSPECIFIED",
          "project": "<string>",
          "domain": "<string>",
          "name": "<string>",
          "version": "<string>",
          "org": "<string>"
        },
        "node_execution_id": {
          "node_id": "<string>",
          "execution_id": {
            "project": "<string>",
            "domain": "<string>",
            "name": "<string>",
            "org": "<string>"
          }
        },
        "retry_attempt": 123
      },
      "input_uri": "<string>",
      "closure": {
        "output_uri": "<string>",
        "error": {
          "code": "<string>",
          "message": "<string>",
          "error_uri": "<string>",
          "kind": "UNKNOWN",
          "timestamp": "2023-11-07T05:31:56Z",
          "worker": "<string>"
        },
        "output_data": {
          "literals": {}
        },
        "phase": "UNDEFINED",
        "logs": [
          {
            "uri": "<string>",
            "name": "<string>",
            "message_format": "UNKNOWN",
            "ttl": "<string>",
            "ShowWhilePending": true,
            "HideOnceFinished": true
          }
        ],
        "started_at": "2023-11-07T05:31:56Z",
        "duration": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "custom_info": {},
        "reason": "<string>",
        "task_type": "<string>",
        "metadata": {
          "generated_name": "<string>",
          "external_resources": [
            {
              "external_id": "<string>",
              "index": 123,
              "retry_attempt": 123,
              "phase": "UNDEFINED",
              "cache_status": "CACHE_DISABLED",
              "logs": [
                {
                  "uri": "<string>",
                  "name": "<string>",
                  "message_format": "UNKNOWN",
                  "ttl": "<string>",
                  "ShowWhilePending": true,
                  "HideOnceFinished": true
                }
              ],
              "workflow_node_metadata": {
                "execution_id": {
                  "project": "<string>",
                  "domain": "<string>",
                  "name": "<string>",
                  "org": "<string>"
                }
              },
              "custom_info": {},
              "log_context": {
                "pods": [
                  {
                    "namespace": "<string>",
                    "pod_name": "<string>",
                    "containers": [
                      {
                        "container_name": "<string>",
                        "process": {
                          "container_start_time": "2023-11-07T05:31:56Z",
                          "container_end_time": "2023-11-07T05:31:56Z"
                        }
                      }
                    ],
                    "primary_container_name": "<string>",
                    "init_containers": [
                      {
                        "container_name": "<string>",
                        "process": {
                          "container_start_time": "2023-11-07T05:31:56Z",
                          "container_end_time": "2023-11-07T05:31:56Z"
                        }
                      }
                    ]
                  }
                ],
                "primary_pod_name": "<string>"
              }
            }
          ],
          "resource_pool_info": [
            {
              "allocation_token": "<string>",
              "namespace": "<string>"
            }
          ],
          "plugin_identifier": "<string>",
          "instance_class": "DEFAULT"
        },
        "event_version": 123,
        "reasons": [
          {
            "occurred_at": "2023-11-07T05:31:56Z",
            "message": "<string>"
          }
        ],
        "log_context": {
          "pods": [
            {
              "namespace": "<string>",
              "pod_name": "<string>",
              "containers": [
                {
                  "container_name": "<string>",
                  "process": {
                    "container_start_time": "2023-11-07T05:31:56Z",
                    "container_end_time": "2023-11-07T05:31:56Z"
                  }
                }
              ],
              "primary_container_name": "<string>",
              "init_containers": [
                {
                  "container_name": "<string>",
                  "process": {
                    "container_start_time": "2023-11-07T05:31:56Z",
                    "container_end_time": "2023-11-07T05:31:56Z"
                  }
                }
              ]
            }
          ],
          "primary_pod_name": "<string>"
        }
      },
      "is_parent": true
    }
  ],
  "token": "<string>"
}

Path Parameters

node_execution_id.execution_id.project
string
required

Name of the project the resource belongs to.

node_execution_id.execution_id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

node_execution_id.execution_id.name
string
required

User or system provided value for the resource.

node_execution_id.node_id
string
required

Query Parameters

node_execution_id.execution_id.org
string

Optional, org key applied to the resource.

limit
integer<int64>

Indicates the number of resources to be returned. +required

token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. +optional

filters
string

Indicates a list of filters passed as string. More info on constructing filters : +optional

sort_by.key
string

Indicates an attribute to sort the response values. +required

sort_by.direction
enum<string>
default:DESCENDING

Indicates the direction to apply sort key for response values. +optional

  • DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING,
ASCENDING

Response

A successful response.

task_executions
object[]
token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. If there are no more results, this value will be empty.